# PreviewQt

PreviewQt is a simple applications that allows you to **preview all kinds of files**, from **images** to **videos**, from **documents** to **archives**. It is based on Qt/QML, published as open-source, and completely free.

Visit its official website at https://previewqt.org/

## Features

PreviewQt is a very simple application for **previewing a wide range of files**. Its main aim is on speed, striving to provide a preview as instanteneously as possible. It tries to achieve this by being very lightweight and by the ability to sit idly in the background ready to show whatever is thrown at it.

Supported file formats include:

- More than **140 image formats** - A list of all possibly supported image formats [can be found on the website for PhotoQt](https://photoqt.org/formats)
- All of the common **video formats**
- **Photo spheres** and **360 degree panoramas** (that use equirectangular prohections)
- **Motion photos**, **Micro videos**, and **Apple live photos**
- **PDF documents** including page navigation
- **Archives** (zip, tar.gz, rar, 7-zip) with the ability to explore its content
- **Comic Books** (cbz, cbt, cbr, cb7) including page navigation

It is also possible to set up an external application for the categories of files. With a shortcut or button it is possible to pass a previewed file on to the provided external application for further processing.

If you like the overall concept of PreviewQt but would like to have more features, [check out the fully featured image viewer PhotoQt](https://photoqt.org).

## Companion applications

There are some companion application to PreviewQt:
1. There is a remote control application (called `PreviewQtRemote`), shipped as part of the PreviewQt source code, that is anothing but a small square that stays in the foreground and can be moved anywhere out of the way. Dropping any file on that square passes that file on to PreviewQt.
2. If you are running KDE Plasma 6, there is a plasmoid that itegrates nicely into your desktop. Dropping any file on that plasmoid shows an immediate preview with basic interaction. Double clicking that preview open PreviewQt for further handling.

## Download and Install

PreviewQt can be installed in various ways. You can find a selection of them (Windows installer, Flatpak, etc.) [listed on the website: https://photoqt.org/previewqt](https://previewqt.org/)

Instructions of how to build PreviewQt from source can be found in the INSTALL file in the root of the source directory.


## Contributing to PreviewQt

There are **two easy ways** you can contribute directly to PreviewQt:

1. **Join the translation team** over on [Crowdin](https://translate.photoqt.org/). If your language is missing you can simply request it directly on Crowdin or send me an email/message and I will add it to the project.
2. **Give feedback** about PreviewQt. To do so, [send me an email](https://previewqt.org/about) or [open an issue on GitLab](https://gitlab.com/lspies/previewqt/-/issues/new).

If you want to support PreviewQt financially, please **consider donating to the humanitarian relief in Ukraine** instead, for example to the [Ukrainian Red Cross](https://go.luspi.de/ukraine).


## License

PreviewQt is released under the [GPLv2](http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt) (or later) license.
